/******************************************************************************
 *
 * Filename: types.h
 *
 * Author:   Robert Thornburrow
 * Project:  JavaVM
 * Created:  19th January 1998
 *
 * Purpose:  Commonly used types.
 *
 * (c) Copyright R.H.Thornburrow, 1998
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 *****************************************************************************/

#ifndef __types_h

#define __types_h

#ifndef __config_h
#error include config.h before this file
#endif /* __config_h */

typedef unsigned char u1;
typedef unsigned short u2;
typedef UINT32_TYPE u4;

typedef char int8;
typedef short int16;
typedef INT32_TYPE int32;

#ifdef SUPPORTS_INT64
typedef INT64_TYPE int64;
#endif /* SUPPORTS_INT64 */

#endif /* __types_h */
