/******************************************************************************
 *
 * Filename: java_util_zip_JarFile.c
 *
 * Author:   Robert Thornburrow
 * Project:  JavaVM
 * Created:  3rd June 2003
 *
 * Purpose:  Native method implementations for java.util.zip.JarFile.
 *
 * (c) Copyright R.H.Thornburrow, 2003
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 *****************************************************************************/

#include <stdio.h>

#include "../engine/config.h"

#include "java_util_jar_JarFile.h"

/* JDK 1.4
+   private native java.lang.String getMetaInfEntryNames()[];
*/

/**
 * private native java.lang.String[] getMetaInfEntryNames();
 */
jobject Java_java_util_jar_JarFile_getMetaInfEntryNames( JNIEnv* env, jobject self )
{
	printf( "WARNING: JarFile.getMetaInfEntryNames() dummied.\n" );
	return NULL;
}
