/******************************************************************************
 *
 * Filename: jstring.h
 *
 * Author:   Robert Thornburrow
 * Project:  JavaVM
 * Created:  16th April 2003
 *
 * Purpose:  Java-style string routines for convenience.
 *
 * (c) Copyright R.H.Thornburrow, 1998-2003
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 *****************************************************************************/


#ifndef _jstring_h

#define _jstring_h


#include "types.h"


#ifdef __cplusplus
extern "C" {
#endif

extern int indexOf( const char* str, char c, int start );
extern u4 hash( const char* str );

#ifdef __cplusplus
}
#endif


#endif /* _jstring_h */
